function [H] = eval_H(~,g,~,model,gauss)
% function [H] = eval_H(x,g,v,model,whichgrid)
% computes H = (dpsi/dV)
% #codegen

if ~gauss
    H = model.geom.LamG*g(model.geom.ind_H,:);
else
    H = model.geom.LamGgauss*g(model.geom.ind_H,:);
end

return